import { Link } from 'react-router-dom';

const DeeperMenu = ({ name, link, target, activeMenu, onMenuClick }) => {
  return (
    <Link
      className={`nav-link ${activeMenu === name ? 'active' : ''}`}  // Menambahkan kelas 'active' pada DeeperMenu
      to={link}  // Menggunakan `to` dari `Link` untuk navigasi
      onClick={() => onMenuClick(name)}  // Menangani klik pada DeeperMenu
    >
      {name}
    </Link>
  );
};

export default DeeperMenu;
